## net.sf.antcontrib.perf
Class AntPerformanceListener.StopWatchComparator

    java.lang.Object
      net.sf.antcontrib.perf.AntPerformanceListener.StopWatchComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  AntPerformanceListener

    public class AntPerformanceListener.StopWatchComparator

extends java.lang.Object
implements java.util.Comparator

Compares the total times for two StopWatches.

Constructor Summary
`AntPerformanceListener.StopWatchComparator()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)` Compares the total times for two StopWatches.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### AntPerformanceListener.StopWatchComparator

    public AntPerformanceListener.StopWatchComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Compares the total times for two StopWatches.

  Specified by:
    `compare` in interface `java.util.Comparator`